Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231316 - Review Request: latex-mk - Makefile fragments and shell scripts for latex
Summary: Review Request: latex-mk - Makefile fragments and shell scripts for latex
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 18:01 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-11 11:15:14 UTC
andreas.bierfert: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2007-03-07 18:01:01 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/latex-mk.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/latex-mk-1.8-1.src.rpm
Description: LaTeX-Mk is a collection of makefile fragments and shell scripts for
simplifying the management of small to large sized LaTeX documents.

Comment 1 Till Maas 2007-03-09 16:13:04 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/latex-mk.spec
SRPM URL:
http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/latex-mk-1.8-2.src.rpm

Update:
- remove %%{_infodir}/dir because it is created sometimes

Comment 2 Andreas Bierfert 2007-03-09 16:31:26 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * rpmlint output is ok the warning can be ignored
   W: latex-mk conffile-without-noreplace-flag /etc/profile.d/latex-mk.sh
 * Package is according to guidelines especially as other distros use iasl as
   name and intel suggest so as well
 * specfile name matches %{name}
 * package is build according to the guidelines 
 * license is ok
 * license field matches actual license
 * specfile seems to be American English
 * spec file is legible
 * source md5sum matches upstream
   [awjb@alkaid] md5sum latex-mk-1.8.tar.gz /tmp/latex-mk-1.8.tar.gz 
   7ea09a1a8273e3f0f026cb94f14d2231  latex-mk-1.8.tar.gz
   7ea09a1a8273e3f0f026cb94f14d2231  /tmp/latex-mk-1.8.tar.gz
 * builds fine (mock/fc6)
 * no build requires needed
 * package does not have locales
 * no shared libraries in this package
 * package is not designed to be relocatable
 * package owns the created directory
 * no duplicate files in %files listing
 * permissions on included files are proper
 * package includes clean section
 * use of macros is consistent 
 * content of the package is ok
 * documentation files do not need -doc subpackage
 * doc files do not influence runtime 
 * no header files
 * no static libraries
 * no .pc files
 * no .so files
 * no devel package
 * package does not contain .la files
 * package does not contain a gui application
 * package does not own any directories or files of other packages

c97b7efb1df2aa2f003eed1f30929e7b  latex-mk-1.8-2.src.rpm

Package is approved.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF8YrLQEQyPsWM8csRArFCAJ9DU4dhHVL9x7YcA2L0Mb2VJDTFjwCgmXc5
Exd5+CYryiTgnUzbnexMVow=
=48Jr
-----END PGP SIGNATURE-----


Comment 3 Andreas Bierfert 2007-03-09 16:38:21 UTC
Darn, c&p sometimes is to difficult... 
s/especially as other distros use iasl as name and intel suggest so as well//

Comment 4 Till Maas 2007-03-09 22:26:44 UTC
New Package CVS Request
=======================
Package Name: latex-mk
Short Description: Makefile fragments and shell scripts for latex
Owners: opensource till name
Branches: FC-6
InitialCC: 

Comment 5 Till Maas 2007-03-10 09:51:25 UTC
New Package CVS Request
=======================
Package Name: latex-mk
Short Description: Makefile fragments and shell scripts for latex
Owners: opensource till name
Branches: FC-6
InitialCC:

resending because the last time I did not post and set the cvs flag at once.

Comment 6 Jens Petersen 2007-03-10 16:41:46 UTC
done


Note You need to log in before you can comment on or make changes to this bug.